## cde 0.1+git9

=== Makefile ===
# really crappy Makefile, which will do for now

PREFIX ?= /usr/local

all: strace-4.6/Makefile okapi
	cd readelf-mini && make
	cd strace-4.6 && make
	mv -f strace-4.6/cde .
	mv -f strace-4.6/cde-exec .

install: all
	install cde cde-exec $(PREFIX)/bin

strace-4.6/Makefile:
	cd strace-4.6 && ./configure

clean:
	cd readelf-mini && make clean
	cd strace-4.6 && make clean
	rm -f cde cde-exec okapi

okapi: strace-4.6/okapi.c strace-4.6/okapi.h
	gcc -Wall -g -O2 -D_GNU_SOURCE -DOKAPI_STANDALONE strace-4.6/okapi.c -o okapi

=== first-draft/Makefile ===
CC=gcc -O0 -g -Wall

all: cde cde-exec paths-test

cde-exec: cde-exec.c cde_utils.c cde.h
	$(CC) cde-exec.c cde_utils.c -o cde-exec

cde: cde.c cde_utils.c cde.h
	$(CC) -g cde.c cde_utils.c -o cde

paths-test: paths-test.c cde_utils.c cde.h
	$(CC) -g paths-test.c cde_utils.c -o paths-test

=== readelf-mini/Makefile ===
# pgbovine - try to be compatible with older glibc (use "objdump -x" to see)
# pgbovine - also for backwards-compatibility:
#   see http://sites.google.com/site/avinesh/binaryincompatibilitybetweenrhel4andrhel
CFLAGS = -g -O2 -fno-stack-protector -U_FORTIFY_SOURCE -D_GNU_SOURCE -Wl,--hash-style=both

%.o : %.c	
	gcc $(CFLAGS) -c -Iinclude -Wall $< -o $@

libreadelf-mini.a: readelf-mini.o version.o unwind-ia64.o dwarf.o
	ar rcs libreadelf-mini.a readelf-mini.o version.o unwind-ia64.o dwarf.o

readelf-mini: readelf-mini.o version.o unwind-ia64.o dwarf.o
	gcc -o readelf-mini readelf-mini.o version.o unwind-ia64.o dwarf.o

all: libreadelf-mini.a

clean:
	rm -f libreadelf-mini.a readelf-mini *.o

=== tests/at_syscalls_test/Makefile ===
all:
	gcc at_syscalls_test.c -o at_syscalls_test

clean:
	rm -rf *.txt mkdirat_dir/ cde-package/

=== tests/path-library-test/Makefile ===
all:
	gcc -D_GNU_SOURCE -Wall -O0 -g paths_test.c -I../../strace-4.5.20/ ../../strace-4.5.20/paths.o -o paths_test

## cde 0.1

=== debian/changelog ===
cde (0.1-1~nd11.04+1) natty; urgency=low

  * Backported for natty.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Thu, 23 Feb 2012 13:00:50 -0500

cde (0.1-1) unstable; urgency=low

  * Initial release (Closes: #610711)

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 03 Feb 2012 19:27:05 -0500

=== debian/control ===
Source: cde
Section: utils
Priority: optional
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.2
Homepage: http://www.stanford.edu/~pgbovine/cdepack.html
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/cde.git
Vcs-Git: git://git.debian.org/git/pkg-exppsy/cde.git

Package: cde
Architecture: alpha amd64 arm armeb armel armhf hppa i386 ia64 m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sh4 sparc sparc64
Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}
Description: package everything required to execute a Linux command on another computer
 CDEpack (Code, Data, and Environment packaging) is a tool that
 automatically packages up everything required to execute a Linux
 command on another computer without any installation or
 configuration.  A command can range from something as simple as a
 command-line utility to a sophisticated GUI application with 3D
 graphics. The only requirement is that the other computer have the
 same hardware architecture (e.g., x86) and major kernel version
 (e.g., 2.6.X) as yours. CDEpack allows you to easily run programs
 without the dependency hell that inevitably occurs when attempting to
 install software or libraries.
 .
 Typical use cases:
  1. Quickly share prototype software
  2. Try out software in non-native environments
  3. Perform reproducible research
  4. Instantly deploy applications to cluster or cloud computing
  5. Submit executable bug reports
  6. Package class programming assignments
  7. Easily collaborate on coding projects

## cde 0.1%2Bgit9-g551e54d

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1

srcpkg = $(shell LC_ALL=C dpkg-parsechangelog | awk '/^Source:/{print $$2;}')
uversion = $(shell LC_ALL=C dpkg-parsechangelog | awk '/^Version:/{print $$2;}' | sed -e 's,-[^-]*$$,,g')

MANDIR=$(CURDIR)/debian/manpages

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -O0
else
  CFLAGS += -O2
endif

CFLAGS += -std=c11

# Following logic was borrowed from strace Debian package
# Copyright 1996-2011 strace Debian maintainers, License: BSD-3

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  MAKEFLAGS += -j$(NUMJOBS)
endif

DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)

ifeq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
  CONFIG_OPTS = --build=$(DEB_BUILD_GNU_TYPE)
else
  CONFIG_OPTS = --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure $@
	: # Need to generate strace-4.6/Makefile with proper architecture specs
	: # otherwise build would fail on 32/64 kernel with 32bit userland
	cd strace-4.6; \
		sh ./configure --prefix=/usr $(CONFIG_OPTS)

override_dh_auto_install:
	make install DESTDIR=debian/cde PREFIX=/usr

override_dh_auto_clean:
	-dh_auto_clean $@
	@echo "I: distcleaning in strace-4.6"
	-cd strace-4.6 && make distclean

# make orig tarball from repository corresponding to $srcpkg (should
# contain treeish) but excluding some content
get-orig-source:
	git archive --worktree-attributes --format=tar \
		--prefix=$(srcpkg)-$(uversion)/ v$(uversion) \
        | gzip -9 >| ../tarballs/$(srcpkg)_$(uversion).orig.tar.gz

manpages: build
	@echo "I: Pre-generating manpages"
	mkdir -p $(MANDIR)
	for b in cde cde-exec; do \
		help2man --no-info --no-discard-stderr --help-option=-h \
			--opt-include=$(MANDIR)/$$b.inc \
			--version-string=$(uversion) ./$$b \
			>| $(MANDIR)/$$b.1; \
	done

## cde 0.1+git9-g551e54d

=== debian/changelog ===
cde (0.1+git9-g551e54d-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/gcc10.patch: Add extern at relevant places to
    fix gcc-10 FTBFS (Closes: #957070)

 -- Nilesh Patra <nilesh@debian.org>  Wed, 10 Mar 2021 19:19:30 +0530

cde (0.1+git9-g551e54d-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Limit architecture to amd64 and i386, it FTBFS everywhere else.
    (Closes: #774327)

 -- Adrian Bunk <bunk@debian.org>  Mon, 19 Jun 2017 19:27:45 +0300

cde (0.1+git9-g551e54d-1) unstable; urgency=low

  * Fresh upstream snapshot (includes up_cp_cmdline_version patch)
    - resolves few issues (e.g. closing unused file descriptors)
  * Updated Homepage. Thanks Branen Salmon (Closes: #699643)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 17 Nov 2013 20:47:11 -0500

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: cde
 Section: utils
 Priority: optional
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~)
 Standards-Version: 3.9.2
-Homepage: http://www.stanford.edu/~pgbovine/cdepack.html
+Homepage: http://www.pgbovine.net/cde.html
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/cde.git
 Vcs-Git: git://git.debian.org/git/pkg-exppsy/cde.git
 
 Package: cde
-Architecture: alpha amd64 arm armeb armel armhf hppa i386 ia64 m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sh4 sparc sparc64
-Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}
+Architecture: amd64 i386
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: package everything required to execute a Linux command on another computer
  CDEpack (Code, Data, and Environment packaging) is a tool that
  automatically packages up everything required to execute a Linux

=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,6 @@
 else
   CFLAGS += -O2
 endif
-
-CFLAGS += -std=c11
 
 # Following logic was borrowed from strace Debian package
 # Copyright 1996-2011 strace Debian maintainers, License: BSD-3

## cde 0.4.1

=== DESCRIPTION ===
Package: cde
Type: Package
Title: Download Data from the Catchment Data Explorer Website
Version: 0.4.1
Authors@R: person("Rob", "Briers", email = "r.briers@napier.ac.uk",
  role = c("aut", "cre"), comment = c(ORCID = "0000-0003-0341-1203"))
Description: Facilitates searching, download and plotting of Water Framework 
  Directive (WFD) reporting data for all waterbodies within the UK Environment 
  Agency area. The types of data that can be downloaded are: WFD status 
  classification data, Reasons for Not Achieving Good (RNAG) status, 
  objectives set for waterbodies, measures put in place to improve water 
  quality and details of associated protected areas. The site accessed is 
  <https://environment.data.gov.uk/catchment-planning/>. The data are made 
  available under the Open Government Licence v3.0 
  <https://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/>.
  This package has been peer-reviewed by rOpenSci (v. 0.4.0).
Depends: R (>= 3.0.0)
License: GPL-3
Encoding: UTF-8
LazyData: true
Imports: graphics, utils, data.table, viridisLite
Suggests: testthat, knitr, rmarkdown
URL: https://github.com/ropensci/cde
BugReports: https://github.com/ropensci/cde/issues
RoxygenNote: 6.1.1
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2019-09-03 09:07:10 UTC; 40000865
Author: Rob Briers [aut, cre] (<https://orcid.org/0000-0003-0341-1203>)
Maintainer: Rob Briers <r.briers@napier.ac.uk>
Repository: CRAN
Date/Publication: 2019-09-04 08:40:02 UTC
